Name:             rmic-maven-plugin
Version:          1.1
Release:          6%{?dist}
Summary:          Uses the java rmic compiler to generate classes used in remote method invocation
License:          MIT
Group:            Development/Libraries
URL:              http://mojo.codehaus.org/%{name}

Source0:          http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

BuildRequires:    asm2
BuildRequires:    groovy >= 1.5.6
BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven2 >= 2.2.1
BuildRequires:    maven-compiler-plugin >= 2.0.2
BuildRequires:    maven-install-plugin >= 2.2
BuildRequires:    maven-invoker-plugin >= 1.5
BuildRequires:    maven-jar-plugin >= 2.2
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-cobertura >= 2.2
BuildRequires:    maven-plugin-plugin >= 2.5
BuildRequires:    maven-resources-plugin >= 2.2
BuildRequires:    maven-shared-invoker >= 2.0.11
BuildRequires:    maven-surefire-maven-plugin
BuildRequires:    mojo-parent

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires:         maven2 >= 2.2.1
Requires:         plexus-archiver
Requires:         plexus-compiler
Requires:         plexus-container-default
Requires:         plexus-utils

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
This plugin works with Maven 2 and uses the java rmic compiler to generate
classes used in remote method invocation.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.codehaus.mojo %{name} %{version} JPP %{name}

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc License.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc License.txt
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 5 2010 Chris Spike <chris.spike@arcor.de> 1.1-5
- Consistently using 'buildroot' macro instead of 'RPM_BUILD_ROOT' now

* Thu Jul 15 2010 Chris Spike <chris.spike@arcor.de> 1.1-4
- Set maven2.jpp.mode to true
- Extensive use of buildroot-macro
- Moved from Development/Tools -> Development/Libraries
- Set maven.test.failure.ignore to true (do tests again, but ignore failures)
- Changed summary to be more descriptive
- Removed BuildArch from javadoc subpackage
- Added BR mojo-parent to fix FTBFS (#631167)

* Mon Jul 12 2010 Chris Spike <chris.spike@arcor.de> 1.1-3
- Changed 'Source0' to match upstream source release zip-file

* Mon Jul 12 2010 Chris Spike <chris.spike@arcor.de> 1.1-2
- Skipping tests

* Fri Jul 9 2010 Chris Spike <chris.spike@arcor.de> 1.1-1
- Initial version of the package
